1. Auth
Pyth-On API
  • Auth
    • Register a new user
      POST
    • Login
      POST
    • Verify token
      POST
    • Refresh token
      POST
  • Execute
    • Execute code
      POST
  • Secrets
    • Create or update a secret
      PUT
    • Delete a secret
      DELETE
    • List all secrets
      GET
  • Audit
    • Get audit log
      GET
  • System
    • Health check
      GET
    • API info
      GET
  • Generate
    • AI generate and execute code
      POST
  • Packages
    • List persistent packages
      GET
    • Set package list
      PUT
    • Add a single package
      POST
    • Remove a package
      DELETE
  • Zero-Knowledge
    • Client encryption helper
      POST
    • Store encrypted code
      PUT
    • Delete encrypted code
      DELETE
    • List encrypted code
      GET
    • Decrypt and execute in sandbox
      POST
  • Schemas
    • AuthRequest
    • AuthResponse
    • UserInfo
    • ExecuteRequest
    • ExecuteResponse
    • SecretInput
    • GenerateRequest
    • SecretMetadata
    • GenerateResponse
    • AuditEntry
    • PackageInfo
    • EncryptedCodeMetadata
    • ZKPayload
    • HealthResponse
    • Error
  1. Auth

Register a new user

POST
/api/register
Creates a new user account and returns a JWT token and API key.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
User created successfully
Body

🟠409
🟠400BadRequest
🟠429RateLimited
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/register' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "developer@example.com",
    "password": "secureP@ss123"
}'
Response Response Example
201 - Success
{
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
    "apiKey": "pyapi_a1b2c3d4e5f6...",
    "user": {
        "email": "developer@example.com"
    }
}
Modified at 2026-04-04 08:23:21
Next
Login
Built with